%define debug_package %{nil}

Name:           texlive-pythontex
Version:        0.18
Release:        %mkrel 3
Summary:        Run Python from within a document, typesetting the results

License:        LPPL
URL:            https://github.com/gpoore/pythontex
Source0:        http://mirrors.ctan.org/macros/latex/contrib/pythontex.zip#/pythontex-%{version}.zip
Group:          Publishing
BuildArch:     noarch
BuildRequires: texlive-dist

%description
The PythonTeX package allows you to enter Python code within a LaTeX document,
execute the code, and access its output in the original document.  It also
supports the Ruby, Julia, Octave, Sage, Bash, Rust, R, Perl, Perl 6, and
JavaScript languages.

%prep
%autosetup -p1 -n pythontex

%build
sed -i -e 's:#!/usr/bin/env python$:#!/usr/bin/env python3:' *.py
latex pythontex.ins


%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/texmf-dist/tex/latex
mkdir -p %{buildroot}/%{python3_sitelib}
install -m 755 pythontex.py \
   depythontex.py \
   depythontex3.py \
   syncpdb.py %{buildroot}/%{_bindir}
install -m 644    pythontex3.py \
   pythontex_engines.py \
   pythontex_utils.py \
   depythontex3.py %{buildroot}/%{python3_sitelib}
install -m 644 *.sty %{buildroot}/%{_datadir}/texmf-dist/tex/latex
%check

%files 
%doc pythontex.pdf README pythontex_quickstart.tex
%doc pythontex_quickstart.pdf pythontex_gallery.tex
%doc pythontex_gallery.pdf
%{_bindir}/*.py
%{_datadir}/texmf-dist/tex/latex/*.sty
%{python3_sitelib}/*.py
%{python3_sitelib}/__pycache__


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.18-3.mga9
+ Revision: 1827985
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.18-2.mga9
+ Revision: 1774659
- update to python 3.10

* Tue Aug 10 2021 joequant <joequant> 0.18-1.mga9
+ Revision: 1740985
- update to 0.18

* Wed Mar 24 2021 tv <tv> 0.17-2.mga9
+ Revision: 1708772
- rebuild for python 3.9

* Fri Jan 01 2021 joequant <joequant> 0.17-1.mga9
+ Revision: 1667667
- include texlive-dist
- imported package texlive-pythontex

